<div class="container-fluid">
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item active" aria-current="page"><%=dictionary.page.history.name%></li>
    </ol>
  </nav>

  <nav>
    <div class="nav nav-tabs mt-4" id="nav-tab" role="tablist">
      <button class="nav-link active" id="nav-data-tab" data-bs-toggle="tab" data-bs-target="#nav-data" type="button" role="tab" aria-controls="nav-data" aria-selected="true">dane</button>
      <button class="nav-link" id="nav-consent-tab" data-bs-toggle="tab" data-bs-target="#nav-consent" type="button" role="tab" aria-controls="nav-consent" aria-selected="false">zgody</button>
      <button class="nav-link" id="nav-authorization-history-tab" data-bs-toggle="tab" data-bs-target="#nav-authorization-history" type="button" role="tab" aria-controls="nav-authorization-history" aria-selected="false">historia
        logowania</button>
    </div>
  </nav>
  <div class="tab-content" id="nav-tabContent">
    <!-- DATA TAB -->
    <div class="tab-pane fade active show" id="nav-data" role="tabpanel" aria-labelledby="nav-data-tab">
      <p class="history__category"><%=dictionary.history_categories[0]%></p>
      <div class="row">
        <div class="col">
          <div class="mdc-card" style="padding: 3rem">
            <table id="history" class="table table-hover nowrap" style="width:100%">
              <thead>
                <tr>
                  <th class="table__head-cell"><%=dictionary.page.history.date%></th>
                  <th class="table__head-cell"><%=dictionary.page.history.operation%></th>
                  <th class="table__head-cell"><%=dictionary.page.history.label%></th>
                  <th class="table__head-cell"><%=dictionary.page.history.value%></th>
                  <th class="table__head-cell"><%=dictionary.page.history.source%></th>
                </tr>
              </thead>
              <tbody>
                <% for(const row of data) { %>
                <% for(const key in row) {%>
                <% if(key != 'timestamp' && key != 'user_id' && key != 'updated_at' && key != 'loa' && key != 'source' && row[key] != '' && row[key] != ' ' && row[key] != null) {%>
                <tr>
                  <% const date = new Date(row.timestamp.value) %>
                  <td><%=date.toISOString().split('T')[0]%> <%=date.toISOString().split('T')[1].split('.')[0]%></td>
                  <td><%=dictionary.page.history.operations.add%></td>
                  <td><%=dictionary.all[key]%></td>
                  <% if(key != 'user_img') { %>
                  <td><%=row[key]%></td>
                  <% } else { %>
                  <td><img src="<%=row[key]%>" alt="user_img" style="display:inline-block; width:144px;height:180px;"></td>
                  <% } %>
                  <td><% if(dictionary.source[row['source']]) {%><%=dictionary.source[row['source']]%><%} else { %><%=row['source']%><% } %></td>
                </tr>
                <% } %>
                <% } %>
                <% } %>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>

    <!-- CONSENT TAB -->
    <div class="tab-pane fade" id="nav-consent" role="tabpanel" aria-labelledby="nav-consent-tab">

      <p class="history__category"><%=dictionary.history_categories[1]%></p>
      <div class="row">
        <div class="col">
          <div class="mdc-card" style="padding: 3rem">
            <table id="consents" class="table table-hover nowrap" style="width:100%">
              <thead>
                <tr>
                  <th class="table__head-cell"><%=dictionary.page.history.created%></th>
                  <th class="table__head-cell"><%=dictionary.page.history.consent_id%></th>
                  <th class="table__head-cell"><%=dictionary.page.history.modified%></th>
                  <th class="table__head-cell"><%=dictionary.page.history.status%></th>
                  <th class="table__head-cell"><%=dictionary.page.history.source%></th>
                </tr>
              </thead>
              <tbody>
                <% if(consents && consents != undefined) {%>
                <% for(const consent of consents) { %>
                <tr>
                  <td><%=consent['CreationDate'].split('T')[0]%> <%=consent['CreationDate'].split('T')[1].split('.')[0]%></td>
                  <td><%=consent['ConsentId']%></td>
                  <td><%=consent['LastModificationDate'].split('T')[0]%> <%=consent['LastModificationDate'].split('T')[1].split('.')[0]%></td>
                  <td><%=consent['ConsentStatus']%></td>
                  <% const method = consent['SourceName'] %>
                  <td><% if(dictionary.page.history.blockchain_source[method]) {%><%=dictionary.page.history.blockchain_source[method]%><%} else { %><%=method%><% } %></td>
                </tr>
                <% } %>
                <% } %>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>

    <!-- AUTHORIZATION HISTORY TAB -->
    <div class="tab-pane fade" id="nav-authorization-history" role="tabpanel" aria-labelledby="nav-authorization-history-tab">
      <p class="history__category"><%=dictionary.history_categories[2]%></p>
      <div class="row">
        <div class="col">
          <div class="mdc-card" style="padding: 3rem">
            <table id="authorization_history" class="table table-hover nowrap" style="width:100%">
              <thead>
                <tr>
                  <th class="table__head-cell"><%=dictionary.page.history.date%></th>
                  <th class="table__head-cell"><%=dictionary.page.history.service%></th>
                  <th class="table__head-cell"><%=dictionary.page.history.auth_factor%></th>
                  <th class="table__head-cell"><%=dictionary.page.history.status%></th>
                </tr>
              </thead>
              <tbody>
                <% if(auth_history && auth_history != undefined) {%>
                <% for(const item of auth_history) { %>
                <tr>
                  <td><%=item['Timestamp'].split('T')[0]%> <%=item['Timestamp'].split('T')[1].split('.')[0]%></td>
                  <td><%=item['ClientId']%></td>
                  <td><%=item['AuthenticationFactors']%></td>
                  <td><% if(item['OperationStatusCode'] === 200) { %> <%= dictionary.page.history.auth_success %> <% } else { %> <%= dictionary.page.history.auth_failed %> <% } %></td>
                </tr>
                <% } %>
                <% } %>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>


  <script id="dataTablesScript" src="/js/data_tables.js" data-filter="<%=data_filter%>" charset="utf-8"></script>
  <!-- <script type="text/javascript">
    $(document).ready(() => {
      const lang = $("nav.navbar .language__active").data("active-language");
      if(lang === 'pl') {
        $('#data').DataTable({
          responsive: true,
          "language": {
              "lengthMenu": "wyświetl _MENU_ wyników na stronie",
              "zeroRecords": "nie znaleziono żadnych wyników",
              "info": "strona _PAGE_ z _PAGES_",
              "infoEmpty": "brak wyników",
              "search":         "szukaj:",
              "infoFiltered": "(przefiltrowano _MAX_)",
              "paginate": {
                "first": "pierwszy",
                "last": "ostatni",
                "next": "następna",
                "previous": "poprzednia"
              },
            }
         });

         $('#consents').DataTable({
           responsive: true,
           "language": {
               "lengthMenu": "wyświetl _MENU_ wyników na stronie",
               "zeroRecords": "nie znaleziono żadnych wyników",
               "info": "strona _PAGE_ z _PAGES_",
               "infoEmpty": "brak wyników",
               "search":         "szukaj:",
               "infoFiltered": "(przefiltrowano _MAX_)",
               "paginate": {
                 "first": "pierwszy",
                 "last": "ostatni",
                 "next": "następna",
                 "previous": "poprzednia"
               },
             }
          });
      } else {
        $('#data').DataTable({ responsive: true });
        $('#consents').DataTable({ responsive: true });
      }

      const table = document.getElementById("data");
      table.parentElement.parentElement.style.overflowX = "scroll";
      table.parentElement.parentElement.style.marginBottom = "20px";

      const consentsTable = document.getElementById("consents");
      consentsTable.parentElement.parentElement.style.overflowX = "scroll";
      consentsTable.parentElement.parentElement.style.marginBottom = "20px";
    });
  </script> -->
